Bug 1115 - SWAT not showing all smbd processes in Active Connections list
SWAT not showing all smbd processes in Active Connections list
Product: Samba 3.0
Classification: Unclassified
Component: SWAT
All Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Depends on:
  Show dependency treegraph
Reported: 2004-02-20 22:33 UTC by William Cooper
Modified: 2005-08-24 10:15 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description William Cooper 2004-02-20 22:33:36 UTC
  When Samba daemons are started by init script, SWAT does not always display
all the smbd processes in the active connection list, making the connection
unbreakable from within SWAT unless all processes are stopped/restarted. The
active shares list displays all processes however.
  This problem has not been observed starting the daemons by inetd, all smbd
processes are listed as can be verified by a ps or smbstatus. The script used to
launch samba is located in /packages/Debian/debian/samba.init modified for paths. 

Expected Results:
  When Samba daemons are launched by scripts or inetd all active connections are
listed and kill-able from within SWAT

Steps for Reproduction:
  This problem seems to be intermittent. It seems to be most frequent if
smbclient is used to connect to the server from the server, but it has been
observed with Windows machines as well. 

stock Debian GNU/Linux 3.0r2
Samba 3.0.2-3.0.2a (did not test with earlier, first Samba installations done
using scripts instead of inetd)
samba compile invocations - 
./configure --prefix=/usr/local --with-configdir=/usr/local/etc/samba
--with-privatedir=/usr/local/etc/samba --with-lockdir=/usr/local/var/samba/locks
--with-logfilebase=/usr/local/var/samba/log --with-smbmount


./configure --prefix=/usr/local --with-configdir=/usr/local/etc/samba
--with-privatedir=/usr/local/etc/samba --with-lockdir=/usr/local/var/samba/locks
--with-logfilebase=/usr/local/var/samba/log --with-smbmount --with-pam

I can provide any config files or logs at request, I have verified this problem
on two servers.
Comment 1 Björn Jacke 2004-09-29 09:29:19 UTC
fixed in svn
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:15:51 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.